Package ru.bitel.bgbilling.modules.smarthouse.common.bean.intercom

# Class SmartHouseIntercomFlat

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.modules.smarthouse.common.bean.intercom.SmartHouseIntercomFlat

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

@Entity public class SmartHouseIntercomFlat extends IdContractId

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SmartHouseIntercomFlat()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getContractId()`
  Возвращает id договора
  `int`
  `getFlatNumber()`
  `int`
  `getIntercomId()`
  `Period`
  `getPeriod()`
  `boolean`
  `isStatus()`
  `SmartHouseIntercomFlat`
  `setContractId(int contractId)`
  `void`
  `setFlatNumber(int flatNumber)`
  `void`
  `setIntercomId(int intercomId)`
  `void`
  `setPeriod(Period period)`
  `void`
  `setStatus(boolean status)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SmartHouseIntercomFlat

    public SmartHouseIntercomFlat()

- ## Method Details

  - ### getFlatNumber

    public int getFlatNumber()

  - ### setFlatNumber

    public void setFlatNumber(int flatNumber)

  - ### getIntercomId

    public int getIntercomId()

  - ### setIntercomId

    public void setIntercomId(int intercomId)

  - ### getContractId

    public int getContractId()
    Description copied from interface: `ContractIdable`
    Возвращает id договора
    Specified by:
      `getContractId` in interface `ContractIdable`
    Overrides:
      `getContractId` in class `IdContractId`
    Returns:

  - ### setContractId

    public SmartHouseIntercomFlat setContractId(int contractId)
    Overrides:
      `setContractId` in class `IdContractId`

  - ### getPeriod

    public Period getPeriod()

  - ### setPeriod

    public void setPeriod(Period period)

  - ### isStatus

    public boolean isStatus()

  - ### setStatus

    public void setStatus(boolean status)